#ifndef ITK_Reader_INL
#define ITK_Reader_INL

ACCESSOR_RW( ITK_INLINE, Reader, bool, is_open_multipage, m_is_open_multipage)
ACCESSOR_RO( ITK_INLINE, Reader, const char *, filename, m_filename)


ITK_INLINE bool
Reader::load( Raster &raster)
{
  return operate( raster);
}


ITK_INLINE bool
Reader::load( Raster &raster, const char *new_filename)
{
  filename( new_filename);
  return operate( raster);
}


ITK_INLINE bool
Reader::open_multipage()
{
  return imp_open_multipage();
}


ITK_INLINE bool
Reader::open_multipage( const char *new_filename)
{
  filename( new_filename);
  return open_multipage();
}


ITK_INLINE bool
Reader::load_next( Raster &raster)
{
  return imp_load_next( raster);
}


ITK_INLINE bool
Reader::close_multipage()
{
  return imp_close_multipage();
}


#endif//ITK_Reader_INL
